clc, clear all
%% Ввод данных
Ku = 0.03;      % Твой Ku
Tu = 0.0847;    % Твой Tu
Ts = 0.0005;   % Твой Ts

%% Расч
Kp = 0.45 * Ku;
Ti = 0.85 * Tu;
Ki_abs = Kp / Ti;       % Абсолютное Ki
Ki_disc = Ki_abs * Ts;  % Дискретное Ki (если программа делит на Ts)

%% Вывод
fprintf('Kp = %.3f\n', Kp);
fprintf('Ki абсолютное = %.3f\n', Ki_abs);
fprintf('Ki дискретное = %.6f (если программа делит на Ts)\n', Ki_disc);

%% Рекомендация (с запасом)
Kp_safe = Kp * 0.7;
Ki_safe = Ki_abs * 0.7;
fprintf('\nС запасом 30%%:\n');
fprintf('Kp = %.3f\n', Kp_safe);
fprintf('Ki = %.3f\n', Ki_safe);